From 6642d654273745f00a849222d4a871fb3864d44b Mon Sep 17 00:00:00 2001
From: Sam Tobin-Hochstadt <samth@racket-lang.org>
Date: Tue, 22 Jan 2013 14:59:20 -0500
Subject: [PATCH] Switch to `pkg.racket-lang.org`.

---
 collects/meta/planet2-index/official/main.rkt |    2 +-
 collects/planet2/lib.rkt                      |    2 +-
 collects/planet2/scribblings/planet2.scrbl    |    4 ++--
 collects/tests/planet2/tests-config.rkt       |    2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/collects/meta/planet2-index/official/main.rkt b/collects/meta/planet2-index/official/main.rkt
index 1b14ac2..539e6e1 100644
--- a/collects/meta/planet2-index/official/main.rkt
+++ b/collects/meta/planet2-index/official/main.rkt
@@ -322,7 +322,7 @@
          empty empty
          (list "Someone tried to register your email address for an account on Planet2. If you want to authorize this registration and log in, please click the following link:"
                ""
-               (format "https://pnr.racket-lang.org~a" k-url)
+               (format "https://pkg.racket-lang.org~a" k-url)
                ""
                "This link will expire, so if it is not available, you'll have to try to register again."))
         (template
diff --git a/collects/planet2/lib.rkt b/collects/planet2/lib.rkt
index de35b71..d5404f3 100644
--- a/collects/planet2/lib.rkt
+++ b/collects/planet2/lib.rkt
@@ -220,7 +220,7 @@
             (λ ()
               (match k
                 ["indexes"
-                 (list "https://pnr.racket-lang.org"
+                 (list "https://pkg.racket-lang.org"
                        "https://planet-compat.racket-lang.org")]))))
 
 (define (package-index-lookup pkg)
diff --git a/collects/planet2/scribblings/planet2.scrbl b/collects/planet2/scribblings/planet2.scrbl
index cc69db2..050d50e 100644
--- a/collects/planet2/scribblings/planet2.scrbl
+++ b/collects/planet2/scribblings/planet2.scrbl
@@ -193,7 +193,7 @@ the @tech{package source} string and @racket['checksum] mapped to the
 @racket['source] will be a remote URL.
 
 PLT supports two @tech{package name resolvers} that are enabled by
-default: @url{https://pnr.racket-lang.org} for new
+default: @url{https://pkg.racket-lang.org} for new
 packages and @url{https://planet-compat.racket-lang.org} for
 automatically generated packages for old @|PLaneT|
 packages. Anyone may host their own @tech{package name resolver}. The
@@ -508,7 +508,7 @@ it by a simple name until it is listed on a @tech{package name resolver}.
 
 If you'd like to use the official @tech{package name resolver}, browse
 to
-@link["https://pnr.racket-lang.org/manage/upload"]{https://pnr.racket-lang.org/manage/upload}
+@link["https://pkg.racket-lang.org/manage/upload"]{https://pkg.racket-lang.org/manage/upload}
 and upload a new package. You will need to create an account and log
 in first.
 
diff --git a/collects/tests/planet2/tests-config.rkt b/collects/tests/planet2/tests-config.rkt
index 1830bf7..d22139b 100644
--- a/collects/tests/planet2/tests-config.rkt
+++ b/collects/tests/planet2/tests-config.rkt
@@ -6,6 +6,6 @@
  (with-fake-root
   (shelly-case
    "reading and writing configs"
-   $ "raco pkg config indexes" =stdout> "https://pnr.racket-lang.org\nhttps://planet-compat.racket-lang.org\n"
+   $ "raco pkg config indexes" =stdout> "https://pkg.racket-lang.org\nhttps://planet-compat.racket-lang.org\n"
    $ "raco pkg config --set indexes http://localhost:9000"
    $ "raco pkg config indexes" =stdout> "http://localhost:9000\n")))
-- 
1.7.9.5
